--Extended quickslot class	
NewQuickslot=class (Turbine.UI.Lotro.Quickslot)
function NewQuickslot:Constructor ()
	Turbine.UI.Lotro.Quickslot.Constructor(self)
	self.size=size

	--Unlock the slot and enable events
	self:SetAllowDrop (true)
	self.MouseDown = function(sender,args)
		self.draggingShortcut = true;
	end

	self.MouseLeave = function(sender,args)
		if(self.draggingShortcut) then
			self.draggedOut = true;
		end
	end

	self.MouseUp = function(sender,args)
		if(args.Button == Turbine.UI.MouseButton.Left) then
			if(self.draggedOut) then
				self:SetShortcut();
				self:SetVisible(true)
				source=self
			end
		end
		self.draggedOut=false;
		self.draggingShortcut = false;
	end
	
	self.DragEnter = function(sender,args)
		--Store the *possible* target shortcut.
		target={}
		target.Data=self:GetShortcut():GetData()
		target.Type=self:GetShortcut():GetType()
		if target.Type==0 then target=nil end
	end
	
	--Change of perspective now.
	self.DragDrop = function(sender,args)
		if source==nil then return end
		if target==nil then return end
		if source:GetShortcut():GetType()~=0 then return end
		source:SetShortcut(Turbine.UI.Lotro.Shortcut( target.Type,target.Data ))
		source=nil
		target=nil		
	end
end